#ifndef PALABRAS_H
#define PALABRAS_H

#include "Constantes.h"

struct _palabra;

typedef struct _palabra * Palabras;


//Crea un conjunto de palabras vacio
Palabras CrearPalabras();

//Inserta una palabra en la posicion dada.
TipoRetorno InsertarPalabra(Palabras & palabras, Posicion posicionPalabra, Cadena palabraAIngresar);

//Borra la palabra que se encuentra en la posicin dada.
TipoRetorno BorrarPalabra(Palabras & palabras, Posicion posicionPalabra);

//Borra todas las ocurrencias de una palabra.
TipoRetorno BorrarOcurrenciasPalabraEnLinea(Palabras & palabras, Cadena palabraABorrar);


//Borrar todo.
void BorrarTodoPalabras(Palabras & palabras);

//Imprime la lnea en pantalla.
void ImprimirPalabras(Palabras palabras);


#endif
